Package com.omnisci.thrift.server

## Class OmniSci.AsyncClient.delete_dashboards_call

- java.lang.Object
- - org.apache.thrift.async.TAsyncMethodCall<Void>
  - - com.omnisci.thrift.server.OmniSci.AsyncClient.delete_dashboards_call

Enclosing class:
  OmniSci.AsyncClient

    public static class OmniSci.AsyncClient.delete_dashboards_call
    extends org.apache.thrift.async.TAsyncMethodCall<Void>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.thrift.async.TAsyncMethodCall

`org.apache.thrift.async.TAsyncMethodCall.State`

### Field Summary

### Fields inherited from class org.apache.thrift.async.TAsyncMethodCall

`client, transport`

### Constructor Summary

Constructors
`delete_dashboards_call​(String session, List<Integer> dashboard_ids, org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Void` `getResult()`
`void` `write_args​(org.apache.thrift.protocol.TProtocol prot)`

### Methods inherited from class org.apache.thrift.async.TAsyncMethodCall

`getClient, getFrameBuffer, getSequenceId, getStartTime, getState, getTimeoutTimestamp, hasTimeout, isFinished, onError, prepareMethodCall`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### delete_dashboards_call

    public delete_dashboards_call​(String session,
                                  List<Integer> dashboard_ids,
                                  org.apache.thrift.async.AsyncMethodCallback<Void> resultHandler,
                                  org.apache.thrift.async.TAsyncClient client,
                                  org.apache.thrift.protocol.TProtocolFactory protocolFactory,
                                  org.apache.thrift.transport.TNonblockingTransport transport)
                           throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### Method Detail

#### write_args

    public void write_args​(org.apache.thrift.protocol.TProtocol prot)
                    throws org.apache.thrift.TException

Specified by:
  `write_args` in class `org.apache.thrift.async.TAsyncMethodCall<Void>`
Throws:
  `org.apache.thrift.TException`

#### getResult

    public Void getResult()
                   throws TOmniSciException,
                          org.apache.thrift.TException

Specified by:
  `getResult` in class `org.apache.thrift.async.TAsyncMethodCall<Void>`
Throws:
  `TOmniSciException`
  `org.apache.thrift.TException`